{...}: {
  imports = [
    ./fish.nix
    ./git.nix
    ./macchina.nix
    ./wezterm.nix
    ./nushell
  ];

  programs = {
    atuin = {
      enable = true;
      settings = {
        inline_height = 20;
        show_preview = true;
        style = "compact";
      };
    };

    bat = {
      enable = true;
      catppuccin.enable = true;
    };

    zoxide = {
      enable = true;
      options = ["--cmd" "cd"];
    };
  };
}
